Ask Your Question
0

installing the latest Emacs

asked 2019-04-24 05:53:07 -0500

wolfv gravatar image

updated 2019-04-24 11:41:26 -0500

I have Emacs 26.1 installed on Fedora 29. I would like to install the latest stable Emacs, which is version 26.2 released Apr 12, 2019.

I tried this from the terminal:

$ sudo dnf install emacs-26.2
...
No match for argument: emacs-26.2
Error: Unable to find a match

$ sudo dnf install emacs-26.1
...
Package emacs-1:26.1-6.fc29.x86_64 is already installed.

Did I use the correct dnf command? Or is Emacs 26.2 not in dnf yet?

Thanks.

UPDATE:

Emacs dnf versions are published on https://apps.fedoraproject.org/packag...

edit retag flag offensive close merge delete

Comments

@wolfv flatpak emacs version has this version

hhlp gravatar imagehhlp ( 2019-04-26 07:58:32 -0500 )edit

1 Answer

Sort by ยป oldest newest most voted
3

answered 2019-04-24 11:20:00 -0500

villykruse gravatar image

See Bugzilla 1699434. Currently emacs has been compiled for Fedora rawhide, but not for Fedora 29 or for Fedora 30Beta.

For the impatient there is always the option to down load the source from (https://www.gnu.org/software/emacs/do...) and build it yourself.

edit flag offensive delete link more

Comments

A better option would be getting the src.rpm for rawhide from koji and rebuild it locally or on COPR

fcomida gravatar imagefcomida ( 2019-04-24 11:32:46 -0500 )edit

Question Tools

1 follower

Stats

Asked: 2019-04-24 05:53:07 -0500

Seen: 567 times

Last updated: Apr 24 '19